Bug 1024244 - (CVE-2016-10214) VUL-1: CVE-2016-10214: virglrenderer: host memory leak issue in virgl_resource_attach_backing
(CVE-2016-10214)
VUL-1: CVE-2016-10214: virglrenderer: host memory leak issue in virgl_resourc...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Lin Ma
Security Team bot
CVSSv2:SUSE:CVE-2016-10214:2.3:(AV:A/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-08 10:49 UTC by Mikhail Kasimov
Modified: 2019-08-16 15:25 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mikhail Kasimov 2017-02-08 10:49:35 UTC
Ref: http://seclists.org/oss-sec/2017/q1/341
=============================================
  Hello,

Virgil 3d project, used by Quick Emulator(Qemu) to implement 3D GPU support for the virtio GPU, is vulnerable to memory leakage issue. It could occur when a guest invokes a 'VIRTIO_GPU_CMD_RESOURCE_ATTACH_BACKING' command.


A guest user/process could use this flaw to leak host memory leading to DoS.

Upstream patch:
---------------
  -> https://cgit.freedesktop.org/virglrenderer/commit/?id=40b0e7813325b08077b6f541b3989edb2d86d837

Reference:
----------
  -> https://bugzilla.redhat.com/show_bug.cgi?id=1420266

This issue was reported by Mr Li Qiang of 360.cn Inc.

Thank you.
--
Prasad J Pandit / Red Hat Product Security Team
47AF CE69 3A90 54AA 9045 1053 DD13 3D32 FE5B 041F
=============================================

https://software.opensuse.org/package/virglrenderer

TW: 0.5.0 (official repo)
42.2 0.5.0 (official repo)
42.1 0.5.0 (Virtualization repo)
Comment 2 Swamp Workflow Management 2017-02-08 23:01:37 UTC
bugbot adjusting priority
Comment 4 Swamp Workflow Management 2017-03-22 20:09:37 UTC
SUSE-SU-2017:0798-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Server 12-SP2 (src):    virglrenderer-0.5.0-11.1
SUSE Linux Enterprise Desktop 12-SP2 (src):    virglrenderer-0.5.0-11.1
Comment 5 Swamp Workflow Management 2017-03-31 16:15:33 UTC
openSUSE-SU-2017:0902-1: An update that fixes 13 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1021616,1021627,1024232,1024244,1024992,1024993,1025505,1025507,1026723,1026725,1026922,1027108,1027376
CVE References: CVE-2016-10163,CVE-2016-10214,CVE-2017-5580,CVE-2017-5937,CVE-2017-5956,CVE-2017-5957,CVE-2017-5993,CVE-2017-5994,CVE-2017-6209,CVE-2017-6210,CVE-2017-6317,CVE-2017-6355,CVE-2017-6386
Sources used:
openSUSE Leap 42.2 (src):    virglrenderer-0.5.0-3.3.1
Comment 6 Marcus Meissner 2018-02-16 07:32:45 UTC
released